// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been 
// thoroughly tested under all conditions. Add-in Express, therefore, cannot 
// guarantee its reliability, serviceability or functionality. 

unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls;

type
  TadxOlForm2 = class(TadxOlForm)
    Label1: TLabel;
    procedure adxOlFormADXBeforeFormShow(Sender: TObject);
  private
    { Private declarations }
    procedure InitLabel;
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm2 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlForm2 : TadxOlForm2;

implementation

uses uUtils;

{$R *.DFM}

procedure TadxOlForm2.adxOlFormADXBeforeFormShow(Sender: TObject);
begin
  InitLabel();
end;

procedure TadxOlForm2.InitLabel;
begin
  label1.Caption := Strings.FormIsShownIn;
  case (self.Item.ExplorerLayout) of
    elBottomNavigationPane:
      label1.Caption := label1.Caption + Strings.NavigationPane;
    elBottomOutlookBar:
      label1.Caption := label1.Caption + Strings.OutlookBar;
    elBottomTodoBar:
      label1.Caption := label1.Caption + Strings.ToDoBar;
    elTopReadingPane,
    elBottomReadingPane,
    elLeftReadingPane,
    elRightReadingPane:
      label1.Caption := label1.Caption + Strings.ReadingPane;
  end;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlForm2));

finalization
end.
 